Package com.documentum.operations

# Interface IDfXMLTransformOperation

All Superinterfaces:
  `IDfOperation`

public interface IDfXMLTransformOperation extends IDfOperation
Provides for XSLT transformations on XML objects in the Docbase.

- ## Field Summary

  ### Fields inherited from interface com.documentum.operations.IDfOperation

  `GENERATE_RESOURCE_FORK, IGNORE_RESOURCE_FORK, REQUIRE_RESOURCE_FORK, RESOURCE_FORK_UNDEFINED, USE_RESOURCE_FORK_IF_AVAILABLE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `setDestination(Object destinationObject)`
  Specify the transformed document's destination.
  `void`
  `setSession(IDfSession session)`
  Set the session that will be used by this operation.
  `void`
  `setTransformation(Object transformObject)`
  Specify the XSLT transformation object that will be applied to the input.
  `void`
  `setXSLTParameter(String paramName, String value)`
  Specify a parameter that will be passed to the stylesheet.

  ### Methods inherited from interface com.documentum.operations.IDfOperation

  `abort, add, areDisabledRegistryUpdates, canUndo, disableRegistryUpdates, enablePopulateWithReferences, execute, getContext, getDescription, getErrors, getName, getNodes, getOperationMonitor, getOperationType, getProperties, getRootNodes, getSession, getSteps, isAborted, isEnabledPopulateWithReferences, logError, removeNode, reportError, resetErrors, setOperationMonitor, succeeded`

- ## Method Details

  - ### setSession

    void setSession(IDfSession session) throws DfException
    Set the session that will be used by this operation.
    Specified by:
      `setSession` in interface `IDfOperation`
    Parameters:
      `session` - IDfSession object
    Throws:
      `DfException`
    See Also:
      - `IDfSession`

  - ### setTransformation

    void setTransformation(Object transformObject) throws DfException
    Specify the XSLT transformation object that will be applied to the input. The transformation object is the XSL stylesheet.
    Parameters:
      `transformObject` - XSLT transformation object that will be applied on the input as any one of the following types: `IDfSysObject, URL, Reader, IDfFile`.
    Throws:
      `DfException`

  - ### setDestination

    void setDestination(Object destinationObject) throws DfException
    Specify the transformed document's destination.
    - If an `IDfImportOperation` is specified as the destination, the transformed document will be imported as a new Docbase object.
    - If an `IDfSysObject` is specified as the destination, the transformed output file will replace the content of that `IDfSysObject`.
    - To add the transformed document as a rendition of the input document, do not set the destination. Instead, use the `node.setOutputFormat` method.

    Parameters:
      `destinationObject` - specifies the transformed document's destination as one of the following types: `IDfFile, OutputStream, Writer, IDfImportOperation, IDfSysObject`.
    Throws:
      `DfException`
    See Also:
      - `IDfXMLTransformNode.setOutputFormat(java.lang.String)`

  - ### setXSLTParameter

    void setXSLTParameter(String paramName, String value) throws DfException
    Specify a parameter that will be passed to the stylesheet. For example, if the stylesheet has the following:

         <xsl:param name="PROJECT_NAME" select="string('default project')"/>

    You can pass the value for PROJECT_NAME as follows: transformOper.setXSLTParameter("PROJECT_NAME", "Project ABC");
    Parameters:
      `paramName` - The name of the parameter.
      `value` - The value of the parameter.
    Throws:
      `DfException`
    Since:
      5.1